PTHREAD_RESUME_NP(3)

NAME
pthread_resume_np - resume suspended thread

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_resume_np(pthread_t tid);

DESCRIPTION
The pthread_resume_np() function, called on a suspended thread, causes it to resume. If a thread specified by the tid argument is not suspended, no actions will be performed.

RETURN VALUES
If successful, pthread_resume_np() function returns 0. Otherwise, an error number is returned to indicate the error.

ERRORS
The pthread_resume_np() function will fail if:

[EINVAL]
    The value specified by the tid argument is invalid.

[ESRCH]
    No thread could be found corresponding to the thread ID specified by the tid argument.

SEE ALSO
pthread_attr_setcreatesuspend_np(3), pthread_np(3), pthread_resume_all_np(3), pthread_suspend_all_np(3), pthread_suspend_np(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.